Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.validation
Class ValidationService

    java.lang.Object
      org.eclipse.emf.ecp.common.spi.cachetree.AbstractCachedTree<org.eclipse.emf.common.util.Diagnostic>
          org.eclipse.emf.ecp.internal.validation.ValidationService

All Implemented Interfaces:
  IValidationService

    public final class ValidationService

extends AbstractCachedTree<org.eclipse.emf.common.util.Diagnostic>
implements IValidationService

Implementation of a validation service.

Author:
  emueller, Tobias Verhoeven

Nested Class Summary
`class` | `ValidationService.CachedSeverityTreeNode` Tree node that caches the severity of its children.

Constructor Summary
`ValidationService(IExcludedObjectsCallback callback)` Constructor for the ECP ValidationService.

Method Summary
`CachedTreeNode<org.eclipse.emf.common.util.Diagnostic>` | `createdCachedTreeNode(org.eclipse.emf.common.util.Diagnostic diagnostic)` Creates a cached tree node.
`org.eclipse.emf.common.util.Diagnostic` | `getDefaultValue()` Returns the default value for a cached node. The root value will be initialized with this value, too
`org.eclipse.emf.common.util.Diagnostic` | `getDiagnostic(Object eObject)` Returns the severity for the given `EObject`.
`org.eclipse.emf.common.util.Diagnostic` | `getRootDiagnostic()` Returns the highest severity.
`Set<org.eclipse.emf.ecore.EObject>` | `validate(Collection<org.eclipse.emf.ecore.EObject> eObjects)` Validates the given `EObject`s.
`Set<org.eclipse.emf.ecore.EObject>` | `validate(org.eclipse.emf.ecore.EObject eObject)` Validates the given `EObject`.

Methods inherited from class org.eclipse.emf.ecp.common.spi.cachetree.AbstractCachedTree
`clear, getCachedValue, getRootValue, remove, update`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecp.validation.api.IValidationService
`remove`

Constructor Detail

### ValidationService

    public ValidationService(IExcludedObjectsCallback callback)

  Constructor for the ECP ValidationService.

  Parameters:
    `callback` - to use

Method Detail

### validate

    public Set<org.eclipse.emf.ecore.EObject> validate(Collection<org.eclipse.emf.ecore.EObject> eObjects)

  Validates the given `EObject`s.

  Specified by:
    `validate` in interface `IValidationService`
  Parameters:
    `eObjects` - a collection of `EObject`s to be validated
  Returns:
    the set of affected elements

### validate

    public Set<org.eclipse.emf.ecore.EObject> validate(org.eclipse.emf.ecore.EObject eObject)

  Validates the given `EObject`.

  Specified by:
    `validate` in interface `IValidationService`
  Parameters:
    `eObject` - the `EObject` to be validated
  Returns:
    the set of affected elements

### getDiagnostic

    public org.eclipse.emf.common.util.Diagnostic getDiagnostic(Object eObject)

  Returns the severity for the given `EObject`.

  Specified by:
    `getDiagnostic` in interface `IValidationService`
  Parameters:
    `eObject` - the `EObject` whose severity should be returned
  Returns:
    the severity for the given `EObject`

### getRootDiagnostic

    public org.eclipse.emf.common.util.Diagnostic getRootDiagnostic()

  Returns the highest severity.

  Specified by:
    `getRootDiagnostic` in interface `IValidationService`
  Returns:
    the highest severity

### getDefaultValue

    public org.eclipse.emf.common.util.Diagnostic getDefaultValue()

  Returns the default value for a cached node.
  The root value will be initialized with this value, too

  Specified by:
    `getDefaultValue` in class `AbstractCachedTree<org.eclipse.emf.common.util.Diagnostic>`
  Returns:
    the default value for a cached tree node

### createdCachedTreeNode

    public CachedTreeNode<org.eclipse.emf.common.util.Diagnostic> createdCachedTreeNode(org.eclipse.emf.common.util.Diagnostic diagnostic)

  Creates a cached tree node.

  Parameters:
    `diagnostic` - the value stored by the cached tree node
  Returns:
    the created node

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.